6.0.0-git
2021-01-24

[#6264] Global "pretty urls" config setting
Summary Global "pretty urls" config setting
Queue Horde Base
Queue Version HEAD
Type Enhancement
State Resolved
Priority 2. Medium
Owners chuck (at) horde (dot) org
Requester chuck (at) horde (dot) org
Created 2008-02-15 (4727 days ago)
Due
Updated 2008-02-26 (4716 days ago)
Assigned 2008-02-24 (4718 days ago)
Resolved 2008-02-26 (4716 days ago)
Milestone Horde 3.2
Patch No

History
2008-02-26 18:54:35 Chuck Hagenbuch Comment #10
State ⇒ Resolved
Reply to this comment
Okay, the config setting is tweaked and should be good now. PATH_INFO 
and ForceType are still going to be tricky perhaps.
2008-02-26 18:07:58 Chuck Hagenbuch Comment #9 Reply to this comment
Right, Routes won't be a requirement, but I was thinking of support in 
Horde 3.2 for generalizing PATH_INFO and ForceType style URLs.
2008-02-26 16:38:50 Michael Rubinsky Comment #8 Reply to this comment
Sorry. I basically mean without the Horde Routes stuff, like the way 
Chora, for example, currently handles it...
2008-02-26 16:32:42 Chuck Hagenbuch Comment #7 Reply to this comment
assuming the apps being released for Horde 3.2 can still code for it 
the 'old' way.
Not sure what you mean by this?
2008-02-26 15:29:53 Michael Rubinsky Comment #6 Reply to this comment
Sounds good to me as well...assuming the apps being released for Horde 
3.2 can still code for it the 'old' way.
2008-02-26 10:27:38 Jan Schneider Comment #5 Reply to this comment
Sounds good to me.
2008-02-26 06:16:51 Chuck Hagenbuch Comment #4
State ⇒ Feedback
Reply to this comment
Basically, code written to work with mod_rewrite will work with
lighttpd's url.rewrite module, but the rewrite rules themselves are
written differently.  We can maybe include snippet of the rewrite
rules somewhere in the docs but it's not as easy to have them be
dropped in like they are with apache's .htaccess files.
[snip]
I'm thinking the easiest thing to do would be to either have a
'lighttpd' configuration choice, that is basically an alias of
mod_rewrite, or just a note somewhere to use mod_rewrite if you are
using (and have configured) lighttpd rewrite rules...
Okay, so how about we have 'none' (as now), meaning GET urls, 
'rewrite', meaning mod_rewrite or lighttpd rules or whatever, and 
'base_url' (better names?) meaning PATH_INFO or ForceType or 
Horde_Routes - anything with a single script as the base. With this 
last one, we'd include an additional option to actually set the 
base_url to use. We could make this portable across apps by having a 
single routing file in Horde that dispatched to apps that use pretty 
URLs. Would be a bit of a hack on top of the existing stuff, but 
easier to deal with than the current mish-mash of rewrite rules.
2008-02-25 15:54:47 Michael Rubinsky Comment #3 Reply to this comment
Added with No (false) and 'mod_rewrite' options for now. Michael R.,
what sort of rules do you have for lighttpd?
Basically, code written to work with mod_rewrite will work with 
lighttpd's url.rewrite module, but the rewrite rules themselves are 
written differently.  We can maybe include snippet of the rewrite 
rules somewhere in the docs but it's not as easy to have them be 
dropped in like they are with apache's .htaccess files.



Forcetype style urls aren't really supported per se in lighttpd but 
they can be simulated with rewrite rules.



I haven't really tried it in depth, but using PATH_INFO would probably 
work OK with lighttpd.



I'm thinking the easiest thing to do would be to either have a 
'lighttpd' configuration choice, that is basically an alias of 
mod_rewrite, or just a note somewhere to use mod_rewrite if you are 
using (and have configured) lighttpd rewrite rules...
2008-02-25 03:59:34 Chuck Hagenbuch Comment #2
State ⇒ Resolved
Reply to this comment
Added with No (false) and 'mod_rewrite' options for now. Michael R., 
what sort of rules do you have for lighttpd? We should add those 
somewhere too.
2008-02-24 12:44:21 Jan Schneider State ⇒ Assigned
 
2008-02-15 06:31:15 Chuck Hagenbuch Assigned to Chuck Hagenbuch
Milestone ⇒ Horde 3.2
 
2008-02-15 06:31:01 Chuck Hagenbuch Comment #1
Type ⇒ Enhancement
State ⇒ Feedback
Priority ⇒ 2. Medium
Summary ⇒ Global "pretty urls" config setting
Queue ⇒ Horde Base
Reply to this comment
I'd like to add a Horde-level "pretty urls" config setting - something 
like $conf['urls'] with options for regular query_string, mod_rewrite, 
path_info, and forcetype style URLs. That way apps like Ansel and 
Whups (Horde 3.2+ apps) don't need their own settings, and would have 
a way of knowing if they should generate pretty URLs or GET URLs.



If there are no objections I'd like to get this into Horde 3.2.

Saved Queries